/**
 * 文件名：Logger.java
 * 描述：Log打印封装类
 * 包名：cn.com.kmlt.monstarBase.utils.logger
 * 作者：WENJQ
 * 创建日期：2016年05月26日
 * 
 */
package com.mgq.base.utils.logger;

public class Logger {

	//Log打印开关:debug模式/release模式.
	
    private final static boolean DEBUG = true;
             
    public static void v(String Tag, String logMe) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.v(Tag, logMe);
        }

    }

    public static void i(String Tag, String logMe) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.i(Tag, logMe);
        }

    }

    public static void d(String Tag, String logMe) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.d(Tag, logMe);
        }

    }

    public static void d(String Tag, String logMe, Throwable tr) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.d(Tag, logMe, tr);
        }

    }

    public static void w(String Tag, String logMe) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.w(Tag, logMe);
        }

    }

    public static void w(String Tag, Throwable tr) {
        if (DEBUG) {
            android.util.Log.w(Tag, tr);
        }

    }

    public static void w(String Tag, String logMe, Throwable tr) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.w(Tag, logMe, tr);
        }

    }

    public static void e(String Tag, String logMe) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.e(Tag, logMe);
        }

    }

    public static void e(String Tag, String logMe, Exception ex) {
        if (DEBUG) {
            if (logMe == null) {
                logMe = "message is null";
            }
            android.util.Log.e(Tag, logMe, ex);
        }

    }

    
    public static void printStackTrace(Exception e) {
        if (DEBUG) {
            e.printStackTrace();
        }

    }
    
}
